<!DOCTYPE html>
<html lang="en">
<head>
<title>LIVIPAY - 佰汇LIVIPAY - LIVIPAY官网,支付,彩虹LIVIPAY,LIVIPAY签约支付平台,免签支付,即时到账,1分钟快速接入支付功能</title>
<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<meta name="description" content="LIVIPAY">
<meta name="keywords" content="LIVIPAY">
<meta name="author" content="LIVIPAY">
<meta name="description" content="Login Form - Responsive Template">
<link rel="shortcut icon" href="images/favicon.ico">
<link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">
<!-- Bootstrap CSS -->
<link rel="stylesheet" href="css/bootstrap.min.css">
<!-- Material Design Icons CSS -->
<link rel="stylesheet" href="css/materialdesignicons.css">
<!-- Bootstrap Checkbox CSS -->
<link rel="stylesheet" href="css/awesome-bootstrap-checkbox.css">
<!-- Rippler CSS -->
<link rel="stylesheet" href="css/rippler.min.css">
<!-- Style CSS -->
<link rel="stylesheet" href="css/style.css">
<!-- Responsive  CSS -->
<link rel="stylesheet" href="css/responsive.css">
</head>
<body>

<div class="container py-2">
    <div class="row">
        <div class="col-md-12">
			<div class="logo">
				<a href="#">
					<h1>LIVIPAY</h1>
				</a>
			</div>
            <div class="row">
                <div class="col-md-6 login-form mx-auto">
                    <!-- form card login -->
                    <div class="card">
                        <div class="card-header">
                            <h3 class="mb-0">支付体验测试</h3>
                        </div>
                        <div class="card-body">
						  <form action="main2.php" class="formLogin" id="doc-vld-msg" method="get">
							   <div class="form-group">
							   <input for="password" type="text" class="form-control" id="payId" name="payId" value="<?php echo date("YmdHis") . mt_rand(100, 999);?>" disabled>
							   <i class="fa fa-lock"></i>
                                </div>
                                <div class="form-group">
								<input for="username" name="money" id="money" class="form-control" data-validation-message="请输入充值额度" />
									<i class="fa fa-user"></i>
                                </div>
								 <div class="naw-text mb-3">
								<h5>请选择体验支付方式</h5>
							</div>
							<div class="row mb-3">
							  <table width="80%" border="0" align="center" cellpadding="0" cellspacing="0">
                                      <tr>
                                        <td><div align="center">
                                          <input type="radio" name="paytype" value="1" data-am-ucheck required data-validation-message="请选择一种充值方式">
                                        &nbsp;</div></td>
                                        <td><div align="center"><img src="images/wechatpay.png" width="100" height="30">&nbsp;</div></td>
                                        <td><div align="center">
                                          <input type="radio" name="paytype" value="2" data-am-ucheck data-validation-message="请选择一种充值方式">
                                        &nbsp;</div></td>
                                        <td><div align="center"><img src="images/zfbpay.png" width="100" height="30">&nbsp;</div></td>
                                        <td><div align="center">
                                          <input type="radio" name="paytype" value="4" data-am-ucheck data-validation-message="请选择一种充值方式">
                                        &nbsp;</div></td>
                                        <td><div align="center"><img src="images/qqpay.png" width="100" height="30">&nbsp;</div></td>
                                      </tr>
                              </table>
							</div>
							 <div class="row mb-3">
									<div class="col-md-12">
										<div class="checkbox checkbox-primary">
											<input type="checkbox" class="styled" id="checkbox1" checked>
											<label for="checkbox1" class="tr_rechnum">
												<p class="rechnum">应付金额：0.00元</p>
											</label>
										</div>
									</div>
								</div>
								<div class="row mb-3">
									<div class="col-lg-12 text-right"><button type="submit" class="btn btn-success hover-btn btn-wd " id="btnLogin"><span>确认支付</span></button></div>
								</div>
                           </form>
						<div class="row">
								<div class="col-lg-12">
									<div class="create-box text-block text-center my-0">
										<span class="text-small font-weight-semibold">温馨提示：</span>
										<a href="#" class="text-black text-small">遇到问题请及时联系客服处理。</a>
									</div>
								</div>
							</div>
                        </div>
                        <!--/card-block-->
						<div class="card-footer">
							<div class="copy-text">Copyright &copy; 2020.Code payment All rights reserved.<a target="_blank" href="https://ceshi.livibank.ltd/">LIVIPAY</a></div>
						</div>
                    </div>
                    <!-- /form card login -->
                </div>
            </div>
            <!--/row-->
        </div>
        <!--/col-->
    </div>
    <!--/row-->
</div>
<!--/container-->
<script type="text/javascript">
			$('.ui-choose').ui_choose();
			
			var uc_01 = $('#uc_01').data('ui-choose'); // 取回已实例化的对象
			uc_01.click = function(index, item) {
				console.log('click', index, item.text())
			}
			uc_01.change = function(index, item) {
				console.log('change', index, item.text())
			}
			
			$(function() {
				$('#uc_01 li:eq(4)').click(function() {
					$('.tr_rechoth').show();
					$('.tr_rechoth').find("input").attr('required', 'true')
					$('.rechnum').text('0.00元');
					document.getElementById('money').value='';
				})
				$('#uc_01 li:eq(0)').click(function() {
					$('.tr_rechoth').hide();
					$('.rechnum').text('01.00元');
					$('.othbox').val('');
					document.getElementById('money').value='01';
				})
				$('#uc_01 li:eq(1)').click(function() {
					$('.tr_rechoth').hide();
					$('.rechnum').text('03.00元');
					$('.othbox').val('');
					document.getElementById('money').value='03';
				})
				$('#uc_01 li:eq(2)').click(function() {
					$('.tr_rechoth').hide();
					$('.rechnum').text('5.00元');
					$('.othbox').val('');
					document.getElementById('money').value='5';
				})
				$('#uc_01 li:eq(3)').click(function() {
					$('.tr_rechoth').hide();
					$('.rechnum').text('10.00元');
					$('.othbox').val('');
					document.getElementById('money').value='10';
				})
				$(document).ready(function() {
					$('.othbox').on('input propertychange', function() {
						var num = $(this).val();
						$('.rechnum').html(num + "元");
					});
				});
			})

			$(function() {
				$('#doc-vld-msg').validator({
					onValid: function(validity) {
						$(validity.field).closest('.am-form-group').find('.am-alert').hide();
					},
					onInValid: function(validity) {
						var $field = $(validity.field);
						var $group = $field.closest('.am-form-group');
						var $alert = $group.find('.am-alert');

						var msg = $field.data('validationMessage') || this.getValidationMessage(validity);

						if(!$alert.length) {
							$alert = $('<div class="am-alert am-alert-danger"></div>').hide().
							appendTo($group);
						}
						$alert.html(msg).show();
					}
				});
			});
		</script>
<!-- jquery latest version -->
<script src="js/jquery.min.js"></script>
<!-- popper.min.js -->
<script src="js/popper.min.js"></script>    
<!-- bootstrap js -->
<script src="js/bootstrap.min.js"></script>
<!-- Jquery Rippler js -->
<script src="js/jquery.rippler.min.js"></script>	
<!-- script js -->
<script src="js/script.js"></script>
</body>
</html>